Package org.eclipse.emf.cdo.ui.widgets

# Class TimeSlider

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scale
org.eclipse.emf.cdo.ui.widgets.TimeSlider

All Implemented Interfaces:
  `EventListener`, `ITreeViewerListener`, `org.eclipse.net4j.util.event.IListener`, `Drawable`

public class TimeSlider extends Scale implements org.eclipse.net4j.util.event.IListener, ITreeViewerListener
A scale widget that can be `connected` to different `views` and `tree viewers` (one such pair at a time) to synchronize the view's `timestamp` with this widget's selection.

Since:
  4.4
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`org.eclipse.net4j.util.event.IListener.NotifierAware`

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`nativeZoom`

## Constructor Summary

Constructors
Constructor
Description
`TimeSlider(Composite parent, int style)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkSubclass()`
`void`
`connect(CDOView view, TreeViewer viewer)`
`void`
`disconnect()`
`void`
`dispose()`
`final long`
`getTimeStamp()`
`void`
`notifyEvent(org.eclipse.net4j.util.event.IEvent event)`
`void`
`setTimeStamp(long timeStamp)`
`protected void`
`timeStampChanged(long timeStamp)`
`void`
`treeCollapsed(TreeExpansionEvent event)`
`void`
`treeExpanded(TreeExpansionEvent event)`

### Methods inherited from class org.eclipse.swt.widgets.Scale

`addSelectionListener, getIncrement, getMaximum, getMinimum, getPageIncrement, getSelection, removeSelectionListener, setIncrement, setMaximum, setMinimum, setPageIncrement, setSelection`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getData, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setAutoscalingMode, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setData, setDragDetect, setEnabled, setFocus, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, addTypedListener, checkWidget, getData, getDisplay, getListeners, getStyle, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeListener, removeTypedListener, reskin, setData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### TimeSlider

public TimeSlider(Composite parent, int style)

## Method Details

### getTimeStamp

public final long getTimeStamp()

### setTimeStamp

public void setTimeStamp(long timeStamp)

### connect

public void connect(CDOView view, TreeViewer viewer)

### disconnect

public void disconnect()

### notifyEvent

public void notifyEvent(org.eclipse.net4j.util.event.IEvent event)

Specified by:
  `notifyEvent` in interface `org.eclipse.net4j.util.event.IListener`

### treeExpanded

public void treeExpanded(TreeExpansionEvent event)

Specified by:
  `treeExpanded` in interface `ITreeViewerListener`

### treeCollapsed

public void treeCollapsed(TreeExpansionEvent event)

Specified by:
  `treeCollapsed` in interface `ITreeViewerListener`

### dispose

public void dispose()

Overrides:
  `dispose` in class `Widget`

### timeStampChanged

protected void timeStampChanged(long timeStamp)

### checkSubclass

protected void checkSubclass()

Overrides:
  `checkSubclass` in class `Widget`